We’re sorry…

We’re very sorry…
We don’t support the use of Internet Explorer 7 or lower for our videos. This has to do with the deprecated functions it uses. We advise to use Google Chrome instead.